Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class CompoundGridCoverageReader

    java.lang.Object
      org.deegree.model.coverage.grid.AbstractGridCoverageReader
          org.deegree.model.coverage.grid.CompoundGridCoverageReader

All Implemented Interfaces:
  GridCoverageReader

    public class CompoundGridCoverageReader

extends AbstractGridCoverageReader

This reader enables creation of `GridCoverage`s from more than one source. This will be used for example for tiled images.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageReader
`description, envelope, format, source`

Constructor Summary
`CompoundGridCoverageReader(File[] source, CoverageOffering description, Envelope envelope, Format format)`

Method Summary
`void` | `dispose()` This method is an implementation dummy, it doensn't actually do anything.
`GridCoverage` | `read(GeneralParameterValueIm[] parameters)` Read the grid coverage from the current stream position, and move to the next grid coverage.

Methods inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageReader
`calcLonLatEnvelope, getCurrentSubname, getFormat, getMetadataNames, getMetadataValue, getSource, listSubNames, setCurrentSubname, setMetadataValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompoundGridCoverageReader

    public CompoundGridCoverageReader(File[] source,
                                      CoverageOffering description,
                                      Envelope envelope,
                                      Format format)

Parameters:
  `source` -
  `description` -
  `envelope` -
  `format` -

Method Detail

### read

    public GridCoverage read(GeneralParameterValueIm[] parameters)
                      throws InvalidParameterNameException,
                             InvalidParameterValueException,
                             ParameterNotFoundException,
                             IOException

  Read the grid coverage from the current stream position, and move to the next grid coverage.

  Parameters:
    `parameters` - An optional set of parameters. Should be any or all of the parameters returned by "org.opengis.coverage.grid.Format#getReadParameters".
  Returns:
    A new grid coverage from the input source.
  Throws:
    `InvalidParameterNameException` - if a parameter in `parameters` doesn't have a recognized name.
    `InvalidParameterValueException` - if a parameter in `parameters` doesn't have a valid value.
    `ParameterNotFoundException` - if a parameter was required for the operation but was not provided in the `parameters` list.
    `IOException` - if a read operation failed for some other input/output reason, including `FileNotFoundException` if no file with the given `name` can be found, or `IIOException` if an error was thrown by the underlying image library.

### dispose

    public void dispose()
                 throws IOException

  This method is an implementation dummy, it doensn't actually do anything.

  Throws:
    `IOException` - if an error occured while disposing resources (for example while closing a file).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org